Bug 586 - linuxconf dial string phone number discrimination too simple
linuxconf dial string phone number discrimination too simple
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
5.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-25 16:28 EST by sinsalaco
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 17:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sinsalaco 1998-12-25 16:28:30 EST
When you put in the modem prefix-string something like:
"ATX3DT" it splits in ATX and 3DT goes to the phone number
string next time that you start linuxconf!
e.g.
ATX3DT
99999
------at the next start--------
ATX
3DT99999
Comment 1 David Lawrence 1998-12-29 18:04:59 EST
This has been verified to be a bug in linuxconf. I was able to
replicate the problem in the textmode as well as the graphical
versions. It does not harm the chat-pppx file. It justs displays the
lines incorrectly in the interface.

This has been assigned to a developer.
Comment 2 Michael K. Johnson 1999-03-18 17:53:59 EST
Jacques added to CC line so that he can examine the bug.  It is
only cosmetic, and I can't think of a heuristic that would both
fix this and not break the display of partially alphabetic phone
numbers for those modems (I don't know what percentage they are)
that support alphabetic phone numbers.

------- Email Received From  "Michael K. Johnson" <johnsonm@redhat.com> 04/09/99 17:14 -------
Comment 3 Michael K. Johnson 1999-04-09 17:15:59 EDT
I'm not sure why I cared about alphabetic phone numbers.  As it
is a purely cosmetic issue anyway, I have optimized this for the
common case.

Fixed in linuxconf-1.14r4-3

Note You need to log in before you can comment on or make changes to this bug.